rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
DIGEST_CTX_s Struct Reference

MD5/SHA1 digest private data. More...

## Data Fields
const char * | name
size_t | paramsize
size_t | datasize
size_t | digestsize
int(* | Reset )(void *param)
int(* | Update )(void *param, const byte *data, size_t size)
int(* | Digest )(void *param, byte *digest)
pgpHashAlgo | hashalgo
rpmDigestFlags | flags
const char * | asn1
void * | param

## Detailed Description

MD5/SHA1 digest private data.

Definition at line 40 of file digest.c.

## Field Documentation

const char* DIGEST_CTX_s::asn1

RFC 3447 ASN1 oid string (in hex).

Definition at line 55 of file digest.c.

Referenced by rpmDigestASN1(), and rpmDigestInit().

size_t DIGEST_CTX_s::datasize

No. bytes in block of plaintext data.

Definition at line 44 of file digest.c.

Referenced by rpmDigestInit().

int(* DIGEST_CTX_s::Digest)(void *param,byte *digest)

Digest finish.

Definition at line 50 of file digest.c.

Referenced by rpmDigestFinal(), and rpmDigestInit().

size_t DIGEST_CTX_s::digestsize

No. bytes of digest.

Definition at line 45 of file digest.c.

Referenced by rpmDigestFinal(), and rpmDigestInit().

rpmDigestFlags DIGEST_CTX_s::flags

Bit(s) to control digest operation.

Definition at line 53 of file digest.c.

Referenced by rpmDigestInit().

pgpHashAlgo DIGEST_CTX_s::hashalgo

RFC 2440/4880 hash algorithm id.

Definition at line 52 of file digest.c.

Referenced by rpmDigestAlgo(), and rpmDigestInit().

const char* DIGEST_CTX_s::name

Digest name.

Definition at line 42 of file digest.c.

Referenced by rpmDigestInit(), and rpmDigestName().

void* DIGEST_CTX_s::param

Digest parameters.

Definition at line 56 of file digest.c.

Referenced by rpmDigestDup(), rpmDigestFinal(), rpmDigestInit(), and rpmDigestUpdate().

size_t DIGEST_CTX_s::paramsize

No. bytes of digest parameters.

Definition at line 43 of file digest.c.

Referenced by rpmDigestDup(), rpmDigestFinal(), and rpmDigestInit().

int(* DIGEST_CTX_s::Reset)(void *param)

Digest initialize.

Definition at line 46 of file digest.c.

Referenced by rpmDigestInit().

int(* DIGEST_CTX_s::Update)(void *param, const byte *data, size_t size)

Digest transform.

Definition at line 48 of file digest.c.

Referenced by rpmDigestInit(), and rpmDigestUpdate().

The documentation for this struct was generated from the following file:

- rpmio/digest.c